using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;

namespace HackathonPreparing.ApiService.Features.AuthFeature.EfCore;

public class UserContext : IdentityDbContext<User, IdentityRole<int>, int>
{
    public UserContext (DbContextOptions<UserContext> options) : base(options) 
    {
        
    }

    protected override void OnModelCreating(ModelBuilder builder)
    {
        base.OnModelCreating(builder);
        builder.HasDefaultSchema("user");
        builder.ApplyConfigurationsFromAssembly(typeof(Program).Assembly);
    }
}